Bug 1384238 - unable to boot after updating from fedora 24 4.7.5-200 to fedora 24 4.7.6-200 [NEEDINFO]
Summary: unable to boot after updating from fedora 24 4.7.5-200 to fedora 24 4.7.6-200
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 24
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-12 22:03 UTC by Chai1Kestian
Modified: 2017-02-07 00:24 UTC (History)
12 users (show)

Fixed In Version: kernel-4.9.7-201.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-07 00:24:27 UTC
Type: Bug
labbott: needinfo? (Chai1Kestian)


Attachments (Terms of Use)
efi = noruntime (2.82 MB, image/jpeg)
2016-10-16 20:10 UTC, Chai1Kestian
no flags Details
efi = noruntime no quiet parameter (3.23 MB, image/jpeg)
2016-10-16 20:13 UTC, Chai1Kestian
no flags Details
kernel boot 2016 10 18 (166.10 KB, image/jpeg)
2016-10-18 01:47 UTC, Chai1Kestian
no flags Details
boot with efi=noruntime (159.12 KB, image/jpeg)
2016-10-18 20:54 UTC, Chai1Kestian
no flags Details

Description Chai1Kestian 2016-10-12 22:03:32 UTC
Description of problem:
i updated fedora 24 workstation 86x 64 from the fedora 24 4.7.5-200 version to 24 4.7.6-200 version.
i can not boot on the updated 24 4.7.6-200 version : i got a black screen with nothing ( just a grey "_" on the top left corner). I try to reboot several times

i can boot on the old 4.7.5-200 version.

I did those tests : 

1 i tried to update with gnome software : no update available so i still got the problem

2 i tried to update with command line (dnf upgrade) : some gnuTLS upgrade were avalaible : i still got the problem

3 i boot on the working version (fedora 24 4.7.5-200). I use dmesg and only got this error :
[ 119.768906] [drm:radeon_cs_ioctl [radeon]] *ERROR* Invalid command stream !
Maybe it is the beginning of the solution, but radeon prevent fedora 24 4.7.6-200 working, should i not be able to use fedora 24 4.7.5-200 ?

4 i boot on the working version (fedora 24 4.7.5-200). Then close the session, then boot on 24 4.7.6-200 (not working), then boot again on fedora 24 4.7.5-200 on use this command : su -c 'journalctl --since "2016-10-12 12:04:00"'.
--> Between the two fedora 24 4.7.5-200 session, i was supposed to get message related to the 24 4.7.6-200 version, but nothing happened, as if i never booted on 24 4.7.6-200
When i checked the logs : the 4.7.5-200.fc24.x86_64 is mentionned several times, but never the 4.7.6-200.fc24.x86_64

5 same as 4, but with this command : su -c 'journalctl --since "2016-10-12 12:04:00"'

Here are the errors i got this :

oct. 12 12:18:19 localhost.localdomain kernel: kvm: disabled by bios
oct. 12 12:18:28 localhost.localdomain avahi-daemon[759]: chroot.c: open() failed: No such file or directory
oct. 12 12:19:18 localhost.localdomain spice-vdagent[1179]: Cannot access vdagent virtio channel /dev/virtio-ports/com.redhat.spice.0
oct. 12 12:19:52 localhost.localdomain kernel: [drm:radeon_cs_ioctl [radeon]] *ERROR* Invalid command stream !
oct. 12 12:20:03 localhost.localdomain spice-vdagent[1526]: Cannot access vdagent virtio channel /dev/virtio-ports/com.redhat.spice.0
oct. 12 12:20:22 localhost.localdomain pulseaudio[1425]: [pulseaudio] bluez5-util.c: GetManagedObjects() failed: org.freedesktop.DBus.Error.NoReply: D

6 i listed all the driver with "lsmod" and got this :
Module Size Used by
fuse 102400 3
xt_CHECKSUM 16384 1
ipt_MASQUERADE 16384 3
nf_nat_masquerade_ipv4 16384 1 ipt_MASQUERADE
tun 28672 1
ip6t_rpfilter 16384 1
ip6t_REJECT 16384 5
nf_reject_ipv6 16384 1 ip6t_REJECT
xt_conntrack 16384 9
ip_set 36864 0
nfnetlink 16384 1 ip_set
ebtable_nat 16384 1
ebtable_broute 16384 1
bridge 131072 1 ebtable_broute
ip6table_raw 16384 1
ip6table_nat 16384 1
nf_conntrack_ipv6 20480 5
nf_defrag_ipv6 36864 1 nf_conntrack_ipv6
nf_nat_ipv6 16384 1 ip6table_nat
ip6table_mangle 16384 1
ip6table_security 16384 1
iptable_raw 16384 1
iptable_nat 16384 1
nf_conntrack_ipv4 16384 6
nf_defrag_ipv4 16384 1 nf_conntrack_ipv4
nf_nat_ipv4 16384 1 iptable_nat
nf_nat 28672 3 nf_nat_ipv4,nf_nat_ipv6,nf_nat_masquerade_ipv4
nf_conntrack 102400 7 nf_nat,nf_nat_ipv4,nf_nat_ipv6,xt_conntrack,nf_nat _masquerade_ipv4,nf_conntrack_ipv4,nf_conntrack_ip v6
iptable_mangle 16384 1
iptable_security 16384 1
ebtable_filter 16384 1
ebtables 32768 3 ebtable_broute,ebtable_nat,ebtable_filter
ip6table_filter 16384 1
ip6_tables 28672 5 ip6table_filter,ip6table_mangle,ip6table_security, ip6table_nat,ip6table_raw
vfat 20480 1
fat 65536 1 vfat
arc4 16384 2
uvcvideo 90112 0
videobuf2_vmalloc 16384 1 uvcvideo
videobuf2_memops 16384 1 videobuf2_vmalloc
videobuf2_v4l2 24576 1 uvcvideo
ath9k 126976 0
videobuf2_core 40960 2 uvcvideo,videobuf2_v4l2
hp_wmi 16384 0
sparse_keymap 16384 1 hp_wmi
videodev 172032 3 uvcvideo,videobuf2_core,videobuf2_v4l2
snd_hda_codec_realtek 86016 1
snd_hda_codec_generic 73728 1 snd_hda_codec_realtek
snd_hda_codec_hdmi 45056 1
snd_hda_intel 36864 12
snd_hda_codec 126976 4 snd_hda_codec_realtek,snd_hda_codec_hdmi,snd_hda_c odec_generic,snd_hda_intel
kvm 573440 0
ath9k_common 36864 1 ath9k
ath9k_hw 462848 2 ath9k_common,ath9k
media 36864 2 uvcvideo,videodev
snd_hda_core 81920 5 snd_hda_codec_realtek,snd_hda_codec_hdmi,snd_hda_c odec_generic,snd_hda_codec,snd_hda_intel
snd_hwdep 16384 1 snd_hda_codec
mac80211 712704 1 ath9k
irqbypass 16384 1 kvm
ath 28672 3 ath9k_common,ath9k,ath9k_hw
rtsx_pci_ms 20480 0
memstick 16384 1 rtsx_pci_ms
cfg80211 569344 4 ath,ath9k_common,ath9k,mac80211
snd_seq 69632 0
snd_seq_device 16384 1 snd_seq
joydev 20480 0
snd_pcm 118784 4 snd_hda_codec_hdmi,snd_hda_codec,snd_hda_intel,snd _hda_core
rfkill 24576 4 cfg80211,hp_wmi
k10temp 16384 0
snd_timer 32768 2 snd_pcm,snd_seq
sp5100_tco 16384 0
wmi 16384 1 hp_wmi
hp_wireless 16384 0
snd 77824 34 snd_hda_codec_realtek,snd_hwdep,snd_timer,snd_hda_ codec_hdmi,snd_pcm,snd_seq,snd_hda_codec_generic,s nd_hda_codec,snd_hda_intel,snd_seq_device
soundcore 16384 1 snd
video 40960 0
i2c_piix4 24576 0
shpchp 36864 0
acpi_cpufreq 20480 0
tpm_tis 20480 0
tpm 40960 1 tpm_tis
nfsd 331776 1
auth_rpcgss 61440 1 nfsd
nfs_acl 16384 1 nfsd
lockd 94208 1 nfsd
grace 16384 2 nfsd,lockd
sunrpc 319488 7 nfsd,auth_rpcgss,lockd,nfs_acl
amdkfd 131072 1
amd_iommu_v2 20480 1 amdkfd
radeon 1507328 7
rtsx_pci_sdmmc 24576 0
mmc_core 135168 1 rtsx_pci_sdmmc
8021q 32768 0
i2c_algo_bit 16384 1 radeon
garp 16384 1 8021q
stp 16384 2 garp,bridge
drm_kms_helper 143360 1 radeon
llc 16384 3 stp,garp,bridge
mrp 20480 1 8021q
rtsx_pci 53248 2 rtsx_pci_ms,rtsx_pci_sdmmc
serio_raw 16384 0
r8169 81920 0
ttm 90112 1 radeon
drm 344064 10 ttm,drm_kms_helper,radeon
mii 16384 1 r8169
fjes 28672 0

7 i tried to edite the boot by removing "quiet" and "rgbh", but it still the same problem

8 I also tried to boot with a text-only mode (3) but i still got a black screen with a dash on the top left corner

9 I also try to add this kernel parameter : maxcpus=1 : still does not work

10 i tried this method : add " 1" to the end & remove "rhgb quiet", then Press F10 to boot into Emergency boot : still does not work





Version-Release number of selected component (if applicable):
4.7.6-200.fc24.x86_64



How reproducible: 
everytime i boot on the 24 4.7.6-200 version with grub


Steps to Reproduce:
1.start the computer
2.in grub, chose the 4.7.6-200.fc24.x86_64
3. press enter

Actual results:
black screen, with a grey dash (no blinking). Need to shut down the computer

Expected results:
open a session with the 4.7.6-200.fc24.x86_64 kernel or more, like i can do with the old kernel version 

Additional info:

Comment 1 Chai1Kestian 2016-10-12 22:06:07 UTC
i forgot to give he result of the lspci-v command which list hardwares :

0:00.0 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 14h Processor Root Complex
	Subsystem: Hewlett-Packard Company Device 188b
	Flags: bus master, 66MHz, medium devsel, latency 32

00:01.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Wrestler [Radeon HD 7310] (prog-if 00 [VGA controller])
	Subsystem: Hewlett-Packard Company Device 188b
	Flags: bus master, fast devsel, latency 0, IRQ 28
	Memory at e0000000 (32-bit, prefetchable) [size=256M]
	I/O ports at 3000 [size=256]
	Memory at f0400000 (32-bit, non-prefetchable) [size=256K]
	[virtual] Expansion ROM at 000c0000 [disabled] [size=128K]
	Capabilities: <access denied>
	Kernel driver in use: radeon
	Kernel modules: radeon

00:01.1 Audio device: Advanced Micro Devices, Inc. [AMD/ATI] Wrestler HDMI Audio
	Subsystem: Hewlett-Packard Company Device 188b
	Flags: bus master, fast devsel, latency 0, IRQ 29
	Memory at f0444000 (32-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: snd_hda_intel
	Kernel modules: snd_hda_intel

00:07.0 PCI bridge: Advanced Micro Devices, Inc. [AMD] Family 14h Processor Root Port (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0, IRQ 24
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
	I/O behind bridge: 00001000-00001fff
	Memory behind bridge: f0500000-f06fffff
	Prefetchable memory behind bridge: 00000000f0700000-00000000f08fffff
	Capabilities: <access denied>
	Kernel driver in use: pcieport
	Kernel modules: shpchp

00:11.0 SATA controller: Advanced Micro Devices, Inc. [AMD] FCH SATA Controller [AHCI mode] (prog-if 01 [AHCI 1.0])
	Subsystem: Hewlett-Packard Company Device 188b
	Flags: bus master, 66MHz, medium devsel, latency 64, IRQ 25
	I/O ports at 3118 [size=8]
	I/O ports at 3124 [size=4]
	I/O ports at 3110 [size=8]
	I/O ports at 3120 [size=4]
	I/O ports at 3100 [size=16]
	Memory at f044c000 (32-bit, non-prefetchable) [size=2K]
	Capabilities: <access denied>
	Kernel driver in use: ahci

00:12.0 USB controller: Advanced Micro Devices, Inc. [AMD] FCH USB OHCI Controller (rev 11) (prog-if 10 [OHCI])
	Subsystem: Hewlett-Packard Company Device 188b
	Flags: bus master, 66MHz, medium devsel, latency 32, IRQ 18
	Memory at f044b000 (32-bit, non-prefetchable) [size=4K]
	Kernel driver in use: ohci-pci

00:12.2 USB controller: Advanced Micro Devices, Inc. [AMD] FCH USB EHCI Controller (rev 11) (prog-if 20 [EHCI])
	Subsystem: Hewlett-Packard Company Device 188b
	Flags: bus master, 66MHz, medium devsel, latency 32, IRQ 17
	Memory at f044a000 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: ehci-pci

00:13.0 USB controller: Advanced Micro Devices, Inc. [AMD] FCH USB OHCI Controller (rev 11) (prog-if 10 [OHCI])
	Subsystem: Hewlett-Packard Company Device 188b
	Flags: bus master, 66MHz, medium devsel, latency 32, IRQ 18
	Memory at f0449000 (32-bit, non-prefetchable) [size=4K]
	Kernel driver in use: ohci-pci

00:13.2 USB controller: Advanced Micro Devices, Inc. [AMD] FCH USB EHCI Controller (rev 11) (prog-if 20 [EHCI])
	Subsystem: Hewlett-Packard Company Device 188b
	Flags: bus master, 66MHz, medium devsel, latency 32, IRQ 17
	Memory at f0448000 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: ehci-pci

00:14.0 SMBus: Advanced Micro Devices, Inc. [AMD] FCH SMBus Controller (rev 14)
	Subsystem: Hewlett-Packard Company Device 188b
	Flags: 66MHz, medium devsel
	Kernel modules: i2c_piix4, sp5100_tco

00:14.2 Audio device: Advanced Micro Devices, Inc. [AMD] FCH Azalia Controller (rev 01)
	Subsystem: Hewlett-Packard Company Device 188b
	Flags: bus master, slow devsel, latency 32, IRQ 16
	Memory at f0440000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: snd_hda_intel
	Kernel modules: snd_hda_intel

00:14.3 ISA bridge: Advanced Micro Devices, Inc. [AMD] FCH LPC Bridge (rev 11)
	Subsystem: Hewlett-Packard Company Device 188b
	Flags: bus master, 66MHz, medium devsel, latency 0

00:14.4 PCI bridge: Advanced Micro Devices, Inc. [AMD] FCH PCI Bridge (rev 40) (prog-if 01 [Subtractive decode])
	Flags: bus master, 66MHz, medium devsel, latency 64
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=64

00:15.0 PCI bridge: Advanced Micro Devices, Inc. [AMD] Hudson PCI to PCI bridge (PCIE port 0) (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0, IRQ 16
	Bus: primary=00, secondary=03, subordinate=06, sec-latency=0
	I/O behind bridge: 00002000-00002fff
	Memory behind bridge: f0300000-f03fffff
	Prefetchable memory behind bridge: 00000000f0000000-00000000f00fffff
	Capabilities: <access denied>
	Kernel driver in use: pcieport
	Kernel modules: shpchp

00:15.1 PCI bridge: Advanced Micro Devices, Inc. [AMD] Hudson PCI to PCI bridge (PCIE port 1) (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0, IRQ 16
	Bus: primary=00, secondary=07, subordinate=07, sec-latency=0
	Memory behind bridge: f0200000-f02fffff
	Capabilities: <access denied>
	Kernel driver in use: pcieport
	Kernel modules: shpchp

00:15.2 PCI bridge: Advanced Micro Devices, Inc. [AMD] Hudson PCI to PCI bridge (PCIE port 2) (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0, IRQ 16
	Bus: primary=00, secondary=08, subordinate=08, sec-latency=0
	Memory behind bridge: f0100000-f01fffff
	Capabilities: <access denied>
	Kernel driver in use: pcieport
	Kernel modules: shpchp

00:18.0 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 12h/14h Processor Function 0 (rev 43)
	Flags: fast devsel

00:18.1 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 12h/14h Processor Function 1
	Flags: fast devsel

00:18.2 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 12h/14h Processor Function 2
	Flags: fast devsel

00:18.3 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 12h/14h Processor Function 3
	Flags: fast devsel
	Capabilities: <access denied>
	Kernel driver in use: k10temp
	Kernel modules: k10temp

00:18.4 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 12h/14h Processor Function 4
	Flags: fast devsel

00:18.5 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 12h/14h Processor Function 6
	Flags: fast devsel

00:18.6 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 12h/14h Processor Function 5
	Flags: fast devsel

00:18.7 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 12h/14h Processor Function 7
	Flags: fast devsel

03:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8101/2/6E PCI Express Fast/Gigabit Ethernet controller (rev 05)
	Subsystem: Hewlett-Packard Company Device 188b
	Flags: bus master, fast devsel, latency 0, IRQ 27
	I/O ports at 2000 [size=256]
	Memory at f0004000 (64-bit, prefetchable) [size=4K]
	Memory at f0000000 (64-bit, prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: r8169
	Kernel modules: r8169

07:00.0 Network controller: Qualcomm Atheros AR9485 Wireless Network Adapter (rev 01)
	Subsystem: Hewlett-Packard Company AR9485/HB125 802.11bgn 1×1 Wi-Fi Adapter
	Flags: bus master, fast devsel, latency 0, IRQ 17
	Memory at f0200000 (64-bit, non-prefetchable) [size=512K]
	Expansion ROM at f0280000 [disabled] [size=64K]
	Capabilities: <access denied>
	Kernel driver in use: ath9k
	Kernel modules: ath9k

08:00.0 Unassigned class [ff00]: Realtek Semiconductor Co., Ltd. RTS5229 PCI Express Card Reader (rev 01)
	Subsystem: Hewlett-Packard Company Device 188b
	Flags: bus master, fast devsel, latency 0, IRQ 26
	Memory at f0100000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>
	Kernel driver in use: rtsx_pci
	Kernel modules: rtsx_pci

Comment 2 Chai1Kestian 2016-10-13 22:55:52 UTC
Hello 
i did other tests :
1 i boot on 24 4.7.5-200 and use the command "xrandr" to get the resolution used. Then add this resolution in the boot parameters of the 24 4.7.6-200 : i still have the problem
2 i tried this boot parameters for the 24 4.7.6-200 :  "lowres" which forces to use the lowest resolution : i still have the probleme
3 i tried to boot 24 4.7.6-200 as a single user (boot parameter : 1) : i still have the problem

Comment 3 Chai1Kestian 2016-10-14 23:31:16 UTC
Hello thank you for your help

i performed those additionnal tests without any success :

1 CapsLock key does not causes the light on the keyboard : maybe the kernel has hung completely
2 Slowing down the speed of text output with boot_delay=1000
3 Booting with vga=791 (or vga=1)
4 use the grub parameter initcall_debug will allow to see the last thing the kernel tried to initialise before it hung.
5 use the grub parameter acpi=off
6 use the grub parameter nolapic or noapic
7 use the grub parameter noapictimer
8 use the grub parameter nohz=off and/or highres=off
9use the grub parameter earlyprintk=vga
10use the grub parameter nosoftlockup
11 use the grub parameteredd=skipmbr or edd=off
12 use the grub clocksource=acpi_pm

13 i try to performe tests recommanded here : https://fedoraproject.org/wiki/How_t...lems#Debugging
so i remove rhgb and quiet from the kernel command line, then add rdshell to the kernel command line.
--> nothing happened

14 i try to performe tests recommanded here : https://fedoraproject.org/wiki/How_t...lems#Debugging
so i remove rhgb and quiet from the kernel command line, then add rdshell rdinitdebug to the kernel command line. then i open the journal : journalctl nothing related to the 24 4.7.6-200 boot appear, as if the boot crashed before he can write anything. However i can see information about 24 4.7.5-200 boot.


I was suggested on fedora forum that it may be an issu related to the microcode update for the CPU

Comment 4 samoht0 2016-10-15 13:48:30 UTC
I'm also running AMD Bobcat Family (14h) APU with somewhat earlier GPU architecture. But GPU should be rather comparable.

00:01.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Wrestler [Radeon HD 6320] (prog-if 00 [VGA controller])

I don't see such behavior using 4.7.6 (or 4.7.7). I also doubt, there is a commit in 4.7.6 that could cause regressions with radeon driver.

https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.7.6

CPU microcode didn't change for my APU.

Comment 5 Chai1Kestian 2016-10-15 15:03:23 UTC
Hello
here are comments posted on fedora forum. Another user has the same problem than me :

"I am encountering the same problem in a fully upgraded system.
Unable to boot into kernel-4.7.6 and now unable to boot into kernel-4.7.7.
All of your reported symptoms appear the same and unfortunately this includes no log information via journalctl while attempting to boot into kernel-4.7.6 or kernel-4.7.7
I can still boot into kernel-4.7.5-200.fc.x86_64 ( Graphics are not 100% stable, some flickering especially when resizing windows and sluggish response ) This makes me think that the problem is likely to be associated with AMD / Updated graphics stack.
Have tried downgrading the efibootmgr which was upgraded with kernel-4.7.6.. but that had no effect.
If I downgrade xorg to 1.17 and install AMD proprietary driver ( with patch ) on kernel-4.7.5, graphics are stable. ( Obviously this has no effect on booting issue but proves graphics card is O.K. )
I am running F24 on an Acer Aspire 725-C7Xkk
AMD C-70 APU with RADEON HD7290 GRAPHICS "

It seems that the kernel 4.7.7 do not solve the problem

What can we do ?

regards

Comment 6 samoht0 2016-10-15 16:29:31 UTC
Well, the kernel maintainers are surely a better source of hints to track this problem down...

But trying to boot with nomodeset in kernel command line should be worth a try (disables kernel mode setting).

Comment 7 Chai1Kestian 2016-10-15 22:01:46 UTC
hello
unfortunately add nomodset in kernel command does not change anything.
Do you know how to contact the kernel maintainers ? Is opening this ticket enought ?

regards

Comment 8 Chai1Kestian 2016-10-15 23:06:59 UTC
New tests :
1 i tried to add "dis_ucode_ldr" --> still have the problem

2 i have also upgraded to kernel 4.7.7 (terminal)
then
dnf downgrade microcode_ctl in commandline
then
dracut -f --kver 4.7.7-200.fc24.x86_64 in commandline
--> still have the problem

Comment 9 samoht0 2016-10-16 09:15:14 UTC
The maintainers are informed. Every post is mailed to kernel-maint@redhat.com. But it's weekend and they have some rest from nasty kernel issues... I'm sure, next week someone will take a look, likely Laura (Abbott) as she prepared and provided 4.7.x kernel build.

BTW, the main difference between your and mine machine is UEFI and classic BIOS. So my current guess is a UEFI related issue (as nomodeset don't work*).

===
* My experience is, this often works even with damaged GPU hardware.

Comment 10 Chai1Kestian 2016-10-16 09:44:44 UTC
Hello
thank you for giving me this information.
I hope Abbott will be able to find a solution.
Do you suggest me to wait for a feed back from mainteiners ? Can i do something right now for this UEFI related issue ?

regards

Comment 11 samoht0 2016-10-16 14:01:28 UTC
I can't really help with UEFI as I've got only machines with BIOS (on purpose :).

I would suggest to leave it for now.

Here is the list of kernel parameters:

https://www.kernel.org/doc/Documentation/kernel-parameters.txt

I see for example earlyprintk=efi and efi=..., if you still like to test some things.

Comment 12 Chai1Kestian 2016-10-16 20:10:51 UTC
Created attachment 1211115 [details]
efi = noruntime

with efi=noruntime as boot parameters i can get those messages cf image

Here quiet parameters is also set

Comment 13 Chai1Kestian 2016-10-16 20:13:08 UTC
Created attachment 1211116 [details]
efi = noruntime no quiet parameter

efi = noruntime

with efi=noruntime as boot parameters i can get those messages cf image

Here quiet parameters is not set

Comment 14 Chai1Kestian 2016-10-16 20:17:13 UTC
Hello  
good idea samoht0
thanks to you myopic from forums.fedoraforum successfuly boot a downgrade 4.7.7 kernel with efi=noruntime parameter.
I tested with a standard 4.7.7 kernel and it doesn't worked but i have messages (before it was juste a black screen) for the first time.

That my 2 previos attachment

regards

Comment 15 Chai1Kestian 2016-10-16 21:23:13 UTC
Hello
i also try to add this boot parameters : kernel.panic=1
I have the same problem

Comment 16 samoht0 2016-10-17 09:02:19 UTC
Considering your downgrade list from

http://forums.fedoraforum.org/showthread.php?t=311784&page=3

all packages of this efi-stuff update (which was pushed stable recently)

https://bodhi.fedoraproject.org/updates/FEDORA-2016-c6141386ba

look suspicious to me.

So you may try to upgrade the system leaving this packages out (if installed):

efibootmgr-14-3.fc24 	
pesign-0.112-4.fc24 	
dbxtool-7-2.fc24 	
fwupd-0.7.2-4.fc24 	
mokutil-0.3.0-2.fc24 	
fwupdate-8-2.fc24 	
efivar-30-3.fc24

Comment 17 Chai1Kestian 2016-10-17 14:13:51 UTC
Hello
i tried that

Hello
so :
1 i downgraded  efibootmgr, efivar-libs, mokutil with dnf downgrade .....
2 fwup version was already the oldest one
3 pesign,  dbxtool fwupdate were not downgraded because they were not installed
4  remove kernel-4.7.6
5  remove kernel-4.7.7
6 close pc
7 reboot on 4.7.5
8 kernel-4.7.7
7 reboot on 4.7.7 with efi=noruntime in boot parameters

--> i still have the problem (cf image) with 'end kernel panic not syncing attempted to kill init'

this matter become kind of critical for me. I hope that we will find more clues...

Have you news from abott or the kernel team ?

regards

Comment 18 samoht0 2016-10-17 15:10:52 UTC
(In reply to Chai1Kestian from comment #17)
> --> i still have the problem (cf image) with 'end kernel panic not syncing
> attempted to kill init'

So we can at least conclude, that the EFI related packages didn't cause the behavior.

> Have you news from abott or the kernel team ?

No, I'm also just a regular user. But there are a lot open bugs that changed recently:

https://bugzilla.redhat.com/buglist.cgi?component=kernel&product=Fedora&query_format=advanced&order=changeddate%20DESC

So there is plenty of work for the maintainers. We have to wait.

Comment 19 Laura Abbott 2016-10-17 18:15:59 UTC
A handful of x86 specific changes came into 4.7.8 so please test that when the koji build finishes http://koji.fedoraproject.org/koji/taskinfo?taskID=16108696

4.7.8 is probably going to be the last of the 4.7 series we do for Fedora so if the above build does not work, please test a 4.8.x kernel http://koji.fedoraproject.org/koji/buildinfo?buildID=807813

depending on the results of those tests we can figure out next steps.

Comment 20 Chai1Kestian 2016-10-17 21:04:50 UTC
Hello Laura
Thank you for your clue.
By the way sorry i though "Abbott" was your Nickname not your Lastname.

How can i installing this kernel if it is not avalaible by this kind of command : sudo 'dnf kernel XXXX' ?

Can 4.8.x kernel work on fedora 24 ?

regards

Comment 21 Laura Abbott 2016-10-18 01:32:01 UTC
You can download the individual RPMs and then install them with dnf http://koji.fedoraproject.org/koji/taskinfo?taskID=16108702 . make sure to download kernel, kernel-core, and kernel-modules.

4.8.x will will work on F24. The official rebase is coming soon.

Comment 22 Chai1Kestian 2016-10-18 01:46:12 UTC
 Thank you Laura for your comment

by the way, do you consider that the 4.7.5 kernel (the one that work for me) can still be used ? my main point si security : Does the 4.7.6 and 4.7.6 kernel bring security update ? 

I the same time i performed new tess :
1 So i have tested efi boot parameters :
efi=old_map
efi=nochunk
efi=debug
with earlyprintk=efi parameter
nothing new. Journalctl does not mention anything about the 4.7.7 boot
2 i also tried to downgrade microcode_ctl --> impossible because it was the oldest version
3 i tried this :
update with dnf upgrade
downgraded efibootmgr, efivar-libs, mokutil with dnf downgrade .....
 remove kernel-4.7.7
 close pc
 reboot on 4.7.5
 install kernel-4.7.7
 reboot on 4.7.7 with efi=noruntime in boot parameters
--> i still have the problem (cf images previously provided) with 'end kernel panic not syncing attempted to kill init'
 downgrade microcode_ctl
--> Still have the issu.
ON boot i have this cf image attached

Comment 23 Chai1Kestian 2016-10-18 01:47:02 UTC
Created attachment 1211583 [details]
kernel boot 2016 10 18

Comment 24 samoht0 2016-10-18 19:03:57 UTC
Looking into the screenshots in more detail, my understanding is, that the memory mapping completely fails. So, if there is no improvement with 4.7.8 and 4.8.2 (already out), this commit in 4.7.6 may be worth a closer investigation:

http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=1297667083d5442aafe3e337b9413bf02b114edb

"...there's really no reason to map EFI_CONVENTIONAL_MEMORY regions into the EFI page tables when mixed-mode is not in use at runtime."

The patch itself and its description are straight forward, but what if the conclusion don't apply for any EFI implementations?

Comment 25 Chai1Kestian 2016-10-18 19:40:09 UTC
i tried with the 4.7.8 : still the same problem

i'm gone a try the 4.8.2 kernel
by the way should i write kernel-4.8.0-1.fc25 or kernel-4.8.0-1.fc24 in the command line since i'm  using fedora 24 ?

regards

Comment 26 Chai1Kestian 2016-10-18 20:46:38 UTC
ok i check a while and i upgraded to 4.8.2-300 kernel like this : 
su -c 'dnf upgrade https://kojipkgs.fedoraproject.org//packages/kernel/4.8.2/300.fc25/x86_64/kernel-4.8.2-300.fc25.x86_64.rpm https://kojipkgs.fedoraproject.org//packages/kernel/4.8.2/300.fc25/x86_64/kernel-core-4.8.2-300.fc25.x86_64.rpm https://kojipkgs.fedoraproject.org//packages/kernel/4.8.2/300.fc25/x86_64/kernel-modules-4.8.2-300.fc25.x86_64.rpm'

here is a picture (cf attachment)

@samoht0  so i guess i need to try the patch you suggest. 
COuld you tell me how to add this patch. Should i edit myself a file ?

regards

Comment 27 Laura Abbott 2016-10-18 20:53:49 UTC
efi=noruntime is red herring. It looks like you have secureboot enabled and secureboot does not work when efi runtime is diabled. I suggest testing
1) With secure boot disabled and then 2) secureboot disabled and efi=noruntime

You will need to pass the name of the package corresponding to what you downloaded on the command line so if you downloaded an .fc25 package you will need to pass fc25.

Comment 28 Chai1Kestian 2016-10-18 20:54:40 UTC
Created attachment 1211845 [details]
boot with efi=noruntime

Comment 29 Chai1Kestian 2016-10-18 21:24:25 UTC
Hello
well...it works !!!!!!! with secureboot disabled and efi=noruntime...

I used this computer with fedora for almost 3 years and it is the fist time i need to disabled secureboot.
So what is the next step : using secureboot disabled and efi=noruntime would be unsafe isn't it ? What do you suggest ?
Should i performe other tests ?

Anyway a little step for Fedora but a big step for me !

Thank you to everybody for your help : Laura, samoht0, myopic, semiRocket, antikythera, dswaner and vinbob
 

Regards

Comment 30 Laura Abbott 2016-10-18 21:28:46 UTC
Just to confirm, what happens when the machine is booted with secureboot disabled but WITHOUT efi=noruntime?

Comment 31 Chai1Kestian 2016-10-18 21:37:54 UTC
in this cas i can not boot with all version after 4.7.5
i guess after 4.7.5 the microsoft secure boot neet to be disabled (my computer was send with windows 8, but i remove it)

concerning security issues, running with efi=noruntime and secureboot disabled should be considered as less safe ?
regards

Comment 32 Laura Abbott 2016-10-18 22:52:27 UTC
http://koji.fedoraproject.org/koji/taskinfo?taskID=16118945 can you please test this scratch build when it finishes with secureboot disabled ? This build reverts the EFI patch mentioned above. You should be safe to run with secureboot disabled temporarily.

Comment 33 Chai1Kestian 2016-10-18 23:15:18 UTC
i have just finished cleaning my pc from testing version :)
No problem i will test it...but in a few hours because it's kind of middle of night for me now...since one weeks this probleme do not let me sleep a lot :)

to install  your build shoulf i use this command : 

su -c 'dnf upgrade https://kojipkgs.fedoraproject.org//packages/kernel/4.7.8/200.fc24/x86_64/kernel-4.7.8-200.fc24.x86_64.rpm https://kojipkgs.fedoraproject.org//packages/kernel/4.7.8/200.fc24/x86_64/kernel-core-4.7.8-200.fc24.x86_64.rpm https://kojipkgs.fedoraproject.org//packages/kernel/4.7.8/200.fc24/x86_64/kernel-modules-4.7.8-200.fc24.x86_64.rpm'

About secureboot disabled is it due to a missing key for the new kernel version ?

regards

Comment 34 Laura Abbott 2016-10-19 00:27:48 UTC
No, the scratch build is going to have a different patch for the build. I'm not 100% sure what the patch will be so I will have to check it when it finishes.

Secure boot requires that the kernel be signed with the Fedora signing key. Scratch builds like the one I linked for testing are not signed so in order to boot them you must disable secure boot. If the scratch build works, that will indicate what patch needs to be fixed so you can run without efi=noruntime. The issue seems to be linked to efi=noruntime and not secure boot. There is no missing key for the new kernel version.

Comment 35 Chai1Kestian 2016-10-19 07:54:42 UTC
Hello Laura
ok thank you
could you just give me the path to put on the dnf upgrade command ?

About secure boot, my 4.7.7 was an "officiel" release, installed with a "classical" upgrade. Bu i have to keep secure boot disabled.
You mean that the next stable kernel will work without disable secure boot ?
regards

Comment 36 Chai1Kestian 2016-10-19 07:57:07 UTC
hello
about my path question, is it just :'dnf upgrade http://koji.fedoraproject.org/koji/taskinfo?taskID=16118945' that i should write ?
regards

Comment 37 samoht0 2016-10-19 10:11:23 UTC
(In reply to Chai1Kestian from comment #36)
> hello
> about my path question, is it just :'dnf upgrade
> http://koji.fedoraproject.org/koji/taskinfo?taskID=16118945' that i should
> write ?
> regards

No, the same handling as Laura explained above:

> You can download the individual RPMs and then install them with dnf
> [...]. make sure to download kernel, kernel-core, and kernel-modules.
> 
> 4.8.x will will work on F24. The official rebase is coming soon.

x86_64 RPMs you'll get here:

http://koji.fedoraproject.org/koji/taskinfo?taskID=16118947

Comment 38 Chai1Kestian 2016-10-19 11:51:34 UTC
Ok
i am sorry but i am not used to this kind of things.
So if i understand well :
1 i have to download them one by one here : http://koji.fedoraproject.org/koji/taskinfo?taskID=16118947

2 then install them with dnf like this :
dnf install kernel-4.7.8-200.rhbz1384238.fc24.x86_64.rpm kernel-core-4.7.8-200.rhbz1384238.fc24.x86_64.rpm ...... python-perf-debuginfo-4.7.8-200.rhbz1384238.fc24.x86_64.rpm

3 Sorry if i look paranoid but i usually never download package directly. I always install package directly from terminal with depository.
As you can see i am not a really advanced user...
Do think that would be possible to get a link to install it directly like this :

dnf upgrade http://koji.fedoraproject.org/koji/....... 

in advance, sorry if i seem to be a little rude to ask that

regards

Comment 39 samoht0 2016-10-19 12:29:47 UTC
(In reply to Chai1Kestian from comment #38)
> Ok
> i am sorry but i am not used to this kind of things.
> So if i understand well :
> 1 i have to download them one by one here :
> http://koji.fedoraproject.org/koji/taskinfo?taskID=16118947
> 
> 2 then install them with dnf like this :
> dnf install kernel-4.7.8-200.rhbz1384238.fc24.x86_64.rpm
> kernel-core-4.7.8-200.rhbz1384238.fc24.x86_64.rpm ......
> python-perf-debuginfo-4.7.8-200.rhbz1384238.fc24.x86_64.rpm

Yes, that's it.

The RPMs beginning with kernel-4.7.8, kernel-core-4.7.8 and kernel-modules-4.7.8 should be enough. So only three downloads and three files to list in dnf command.

Comment 40 Chai1Kestian 2016-10-19 15:14:49 UTC
Hello
thanks to you i have installed the testing version
the patch works
i do not need to use  "efi=noruntime" to boot the kernel
Laura i think the patch you add is successful.
So i guess that will be inclued in the official 4.7.8 kernel ?
And does the official 4.7.8 kernel will work without disable secure boot ?
Do you know approximatively when this kernel would be available ?

regards

Comment 41 Laura Abbott 2016-10-19 16:37:49 UTC
Thank you for confirming! This was a revert of a patch. The next steps are for me to report this upstream and let the upstream maintainer figure out what the actual proper fix would be. Given the timing of this report, 4.7.8 will not have the workaround. I will make sure that the 4.8.x kernel for F24/F23 will have either the revert or a fix.

Before I send the report upstream, can you boot a working kernel (any one will be fine) with efi=debug on the command line and attach the dmesg to this bugzilla? This has information about the memory map.

Comment 42 Chai1Kestian 2016-10-19 17:39:58 UTC
ok
i will do that soon
So you mean that i should keep secure boot disabled and use efi=noruntime for the next kernel available ?
regards

Comment 43 Laura Abbott 2016-10-19 18:13:14 UTC
Yes, if you want to use newer kernels you will need to keep secure boot disabled and use efi=noruntime until this bug is marked as fixed.

Comment 44 samoht0 2016-10-19 18:20:54 UTC
(In reply to Chai1Kestian from comment #42)
> So you mean that i should keep secure boot disabled and use efi=noruntime
> for the next kernel available ?

Laura was answering while I wrote... Just some extra words I already put together:

There is a need to inform the kernel developer/maintainer, who committed the original patch or is responsible for the affected part of the kernel source code ("upstream"). This is because proper open source software development means to fix bugs upstream and not silently revert patches in a linux distribution like Fedora.

Comment 45 Chai1Kestian 2016-10-19 21:03:53 UTC
Hello Laura 
Since the dmesg give me a quite verbous file, i prefer to send you an email with the dmesg.
Just told me if you did not get it.

So no problem if i need do disable secureboot and add efi=noruntime.
The thing is i do not know what it involved concerning security :

1 what efi = noruntime means ?
i check here : https://www.kernel.org/doc/Documentation/kernel-parameters.txt  : i can read "disable EFI runtime services support"...what does it means :(

2 security boot goal seems to prevent rootkit or malware during booting...
is it just for windows (i removed it anyway ) ?
does fedora has his own bootprotection ?

i will ask the security team on the fedora forum, but of course if you have information do not hesitate !

regards

Comment 46 Laura Abbott 2016-10-19 21:17:30 UTC
I got the dmesg but please always attach files to bugzilla.  EFI runtime services let the OS access EFI variables while its is running. This is necessary for what secure boot does to get information from the bootloader. https://fedoraproject.org/wiki/Secureboot has some background information and links to read more.

Comment 47 Chai1Kestian 2016-10-19 21:34:11 UTC
Ok sorry i though it was more practical for you.
Thank you for the information about efi runtime service.
regards

Comment 48 Laura Abbott 2016-10-20 12:53:36 UTC
The upstream maintainer gave a possible fix, can you please test http://koji.fedoraproject.org/koji/taskinfo?taskID=16136113 when it finishes?

Comment 49 Chai1Kestian 2016-10-20 21:14:05 UTC
OK
I still need to download the 3 files and install it. Still can not do it directly with someting like dnf/http://koji.fedoraproject.org/koji/taskinfo?taskID=16136113

do you need dmsg also again ?

regards

Comment 50 Chai1Kestian 2016-10-20 23:56:10 UTC
i become more familiar about how to directly install package directly.
i test  the 4.7.8 - 201 kernel and it does not work.
i need tu add efi=noruntime again.

regards

Comment 51 Laura Abbott 2016-10-24 19:52:58 UTC
Thank you for testing. Can you re-test with efi=old_map and secure boot turned off to see if that boots?

Comment 52 Chai1Kestian 2016-10-28 01:01:40 UTC
Hello
right know i do not have the possibility to test it. By the way i currently using the 4.7.9 kernel. I still need to add efi=noruntime and disable boot security but it works.
regards

Comment 53 Suren Karapetyan 2016-10-28 05:00:31 UTC
@Laura, can you kick another scratch build for f23 so I can test it too?

Comment 54 Suren Karapetyan 2016-12-11 08:31:32 UTC
Still seeing this with 4.8.12-100.fc23.x86_64

Comment 55 samoht0 2016-12-11 17:54:22 UTC
(In reply to Suren Karapetyan from comment #54)
> Still seeing this with 4.8.12-100.fc23.x86_64

That's perfectly natural, as the patch mentioned in #comment 24, that caused the regression, is still in mainline kernel code.

As nobody tested the proposed fix provided by the upstream maintainer (Laura's scratch build at #comment #48), there was no progress with this bug.

Comment 56 Suren Karapetyan 2016-12-12 08:57:04 UTC
Tested Matt Fleming's patch against 4.8.12-100 - no change.
Secure boot is disabled.
Boot is failing with efi=old_map too.

@Laura, are you still working on this, or should I follow-up on LKML?

Comment 57 Laura Abbott 2016-12-13 17:20:15 UTC
I replied with information but I never heard back from the EFI maintainers. If you can, I suggest following up with them on LKML directly.

Comment 58 Laura Abbott 2017-02-01 17:38:38 UTC
Can you please test 4.9.6? This contains a fix for some buggy EFI firmware that might be this problem.

Comment 59 Suren Karapetyan 2017-02-01 19:11:22 UTC
kernel-4.9.6-200.fc25.x86_64 fixes boot for me (HP Pavilion m6).

Comment 60 Fedora Update System 2017-02-03 15:36:15 UTC
kernel-4.9.7-201.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-472052ebe5

Comment 61 Fedora Update System 2017-02-03 23:50:45 UTC
kernel-4.9.7-201.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-472052ebe5

Comment 62 Fedora Update System 2017-02-07 00:24:27 UTC
kernel-4.9.7-201.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.